<template>
  <v-row>
    <v-col v-for="(prod, index) in product" :key="index" cols="12">
      {{ index }}: {{ prod }}
    </v-col>
  </v-row>
</template>

<script setup>
import { onBeforeMount } from 'vue'
import { dispatch, get } from 'vuex-pathify'
import { useRoute } from 'vue-router'
const route = useRoute()
onBeforeMount(() => {
  dispatch('market/getProduct', route.query.id)
})
const product = get('market/currentProduct')
</script>
